Update Server Denied Update

Zachery Truman's Avatar

Zachery Truman

12 Mar, 2018 01:27 PM

Keep getting these errors in the logs on my server:
Mar 12 09:17:51 ip-10-0-1-103 scalr-upd-client: raise exc.UpdateDeniedError('Update server denied update')

Please help.

  1. 1 Posted by Roman Bezruchko on 12 Mar, 2018 02:07 PM

    Roman Bezruchko's Avatar

    Can you please attach /var/log/scalarizr_update.log file from any server with this error.

  2. 2 Posted by Zachery Truman on 14 Mar, 2018 06:32 PM

    Zachery Truman's Avatar

    Please find attached file

  3. 3 Posted by Zachery Truman on 19 Mar, 2018 06:19 PM

    Zachery Truman's Avatar

    Any update on this?

  4. 4 Posted by Zachery Truman on 19 Mar, 2018 06:25 PM

    Zachery Truman's Avatar

    Here is tail of the scalarizr_update.log
    2018-03-19 18:20:48,734+00:00 - DEBUG - agent.scalarizr.updateclient - State transition: error -> in-progress
    2018-03-19 18:20:48,736+00:00 - INFO - agent.utils.celeryutil - Calling task sys.get_facts locally (fc3603cc-fd38-4064-9b9b-e7557462cba3)
    2018-03-19 18:20:48,736+00:00 - DEBUG - agent.utils.celeryutil - task_pre_run task_id=fc3603cc-fd38-4064-9b9b-e7557462cba3
    2018-03-19 18:20:48,737+00:00 - DEBUG - agent.utils.celeryutil - func_pre_run func_name=sys.get_facts
    2018-03-19 18:20:48,737+00:00 - DEBUG - common.utils.subprocess2 - Executing subprocess: (('dpkg-query', '-W', '-f=${Version} ${Status}', 'scalarizr'),)
    2018-03-19 18:20:48,751+00:00 - DEBUG - common.utils.subprocess2 - Subprocess stdout: 6.3.6-1 install ok installed
    2018-03-19 18:20:48,751+00:00 - DEBUG - agent.utils.celeryutil - func_post_run stack=['001-sys.get_facts']
    2018-03-19 18:20:48,752+00:00 - DEBUG - agent.utils.celeryutil - task_post_run task_id=fc3603cc-fd38-4064-9b9b-e7557462cba3
    2018-03-19 18:20:48,754+00:00 - DEBUG - common.utils.pkgutil - Constructed <DpkgManager url=http://repo.scalr.net/apt-plain ssl_verify_peer=True>
    2018-03-19 18:20:48,886+00:00 - DEBUG - common.utils.pkgutil - Constructed <DpkgManager url=http://repo.scalr.net/apt-plain ssl_verify_peer=True>
    2018-03-19 18:20:49,236+00:00 - ERROR - agent.scalarizr.updateclient - Update failed with the following error:
    Traceback (most recent call last):
      File "/opt/scalarizr/embedded/lib/python3.5/site-packages/fatmouse_agent-6.3.6-py3.5.egg/agent/scalarizr/updateclient.py", line 429, in do_update
        do_update_inproc=True)
      File "/opt/scalarizr/embedded/lib/python3.5/site-packages/celery/local.py", line 191, in __call__
        return self._get_current_object()(*a, **kw)
      File "/opt/scalarizr/embedded/lib/python3.5/site-packages/celery/app/task.py", line 379, in __call__
        return self.run(*args, **kwargs)
      File "/opt/scalarizr/embedded/lib/python3.5/site-packages/fatmouse_agent-6.3.6-py3.5.egg/common/tasks/update.py", line 209, in update_agent
        raise exc.UpdateDeniedError('Update server denied update')
    common.utils.exc.UpdateDeniedError: Update server denied update
    2018-03-19 18:20:49,237+00:00 - DEBUG - agent.scalarizr.updateclient - State transition: in-progress -> error
    root@ip-10-0-1-103:/var/log#

  5. Support Staff 5 Posted by Marat Komarov on 19 Mar, 2018 07:00 PM

    Marat Komarov's Avatar

    Here is the actual problem with dpkg on your VM, that blocks Scalarizr upgrade:

    Configuration file '/etc/cloud/cloud.cfg'
     ==> Modified (by you or by a script) since installation.
     ==> Package distributor has shipped an updated version.
       What would you like to do about it ?  Your options are:
        Y or I  : install the package maintainer's version
        N or O  : keep your currently-installed version
          D     : show the differences between the versions
          Z     : start a shell to examine the situation
     The default action is to keep your current version.
    *** cloud.cfg (Y/I/N/O/D/Z) [default=N] ? dpkg: error processing package cloud-init (--configure):
     end of file on stdin at conffile prompt
    Errors were encountered while processing:
     cloud-init
    

    You should run dpkg --reconfigure and manually resolve cloud-init upgrade. Scalarizr Update Server will allow future upgrades to newer versions. For 6.3.6 you'll continue to see this error.

    Regards,
    Marat

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac